ZITADEL Docs
APIsCore ResourcesV2User

Update a User

Partially update an existing user. If you change the users email or phone, you can specify how the ownership should be verified. If you change the users password, you can specify if the password should be changed again on the users next login.

Required permission:

  • user.write
PATCH
/v2/users/{user_id}

Path Parameters

user_id*string

The user id is the users unique identifier in the instance. It can't be changed.

Request Body

application/json

username?|

Set a new username that is unique within the instance. Beware that active tokens and sessions are invalidated when the username is changed.

metadata?array<>

Metadata to be set. Metadata is expected as key-value pairs, and the value has to be base64 encoded.

human*
[key: string]?never

Response Body

application/json

curl -X PATCH "https://loading/v2/users/string" \  -H "Content-Type: application/json" \  -d '{    "human": {}  }'
{
  "changeDate": "2023-01-15T01:30:15.01Z",
  "emailCode": "string",
  "phoneCode": "string"
}

Was this page helpful?